function y = servo_nl_coulomb(x)

wp = x(1); u = x(2); phi = x(3); epsulon = x(4);

if wp > epsulon
    y = phi;
elseif wp < -epsulon
    y = -phi;
elseif wp >= 0
    y = min(phi,abs(u));
elseif wp < 0
    y = max(-phi,-abs(u));
end